> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/de/form-management/tasks/task-items/webhook.md).

# Webhooks

## ☁️ Was sind Webhooks?

Webhooks sind eine hervorragende Möglichkeit, den Befragten und seine Antworten an jeden HTTP-basierten API-Endpunkt zu senden, sobald der Befragte in der ngSurvey-Datenbank erfasst wurde.

## 🔅 Webhook-Eigenschaften

* **`Webhook-URL`** der REST-API oder des HTTP-Servers, der die Übermittlung der Respondent-JSON-Nutzlast empfangen soll.
* **`Payload-Transformationsvorlage`** wird verwendet, um die Struktur der gesendeten JSON-Nutzlast in eine andere benutzerdefinierte Objektstruktur zu ändern.

## 🔤 Post-Format

Der Befragte und seine Antworten werden als JSON-formatierte Nutzlast mittels HTTP POST gesendet. Die Standard-JSON-Nutzlast unten kann mit einer [payload transform template](/de/form-management/tasks/task-items/webhook/webhooks-payload-transform.md).

```javascript
{
  respondent: {
    id: string;
    surveyId: string;
    panelistId: string;
    contextUsername: string
    resumeUId: string;
    resumePageId: string;
    startDate: Date;
    voteDate: Date;
    iPSource: string;
    changeUID: string;
    progressSaveDate: Date;
    languageCode: string;
    timeToEnd: number;
    validated: boolean;        
  },
  answers: [{
      respondentId: string,
      value:string,
      answerId": string,
      answerText": string,
      questionId": string,
      questionAlias": string,
      questionText": string,
      sectionNumber": number
  }],
  visitedPages: [{
    id: string;
    respondentId: string;
    visitTime: string;
  }],
  dataAttributes: [{
    securityItemId: string;
    respondentId: string;
    attributeName: string;
    attributeValue: string;
  }],
  querystring: string
}
```

{% hint style="info" %}
Verschlüsselte Antworten mit [eingeschränkter](/de/data-encryption/data-classification/restricted.md) Datenklassifizierung werden als verschlüsselte PGP-Nachricht gesendet.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/de/form-management/tasks/task-items/webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
